## npd6 1.1.0

=== Makefile ===
#
#   This software is Copyright 2011 by Sean Groarke <sgroarke@gmail.com>
#   All rights reserved.
#
#   This file is part of npd6.
#
#   npd6 is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   npd6 is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with npd6.  If not, see <http://www.gnu.org/licenses/>.
#

# $Id$
# $HeadURL$

VERSION=1.1.0

CC=gcc
CFLAGS= -Wall -g -O3 
LDFLAGS=
SOURCES=main.c icmp6.c util.c ip6.c config.c expintf.c exparser.c
OBJECTS=$(SOURCES:.c=.o)
HEADERS=includes.h npd6.h
EXECUTABLE=npd6
INSTALL_PREFIX=/usr
MAN_PREFIX=/usr/share/man
DEBIAN=debian/
TARGZ=npd6-$(VERSION)
DEV:= -D'BUILDREV="$(VERSION).$(shell svnversion -n .)"'

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) -o $@

.c.o:
	$(CC) $(CFLAGS) $(DEV) -c $< -o $@

clean:
	rm -rf $(OBJECTS) $(EXECUTABLE)

distclean:
	rm -rf $(OBJECTS) $(EXECUTABLE)
	rm -rf debian/etc/
	rm -rf debian/usr/
	rm -rf debian/DEBIAN/
	rm -rf debian/npd6/
	rm -rf debian/files
	rm -rf debian/npd6.*
	rm -f npd6*.deb

install: all
	mkdir -p $(DESTDIR)/etc/init.d/
	mkdir -p $(DESTDIR)$(INSTALL_PREFIX)/bin/
	mkdir -p $(DESTDIR)$(MAN_PREFIX)/man5/
	mkdir -p $(DESTDIR)$(MAN_PREFIX)/man8/
	cp etc/npd6 $(DESTDIR)/etc/init.d/npd6
	cp etc/npd6.conf.sample $(DESTDIR)/etc/npd6.conf.sample
	cp npd6 $(DESTDIR)$(INSTALL_PREFIX)/bin/
	cp man/npd6.conf.5.gz $(DESTDIR)$(MAN_PREFIX)/man5/
	cp man/npd6.8.gz $(DESTDIR)$(MAN_PREFIX)/man8/

ubuntu: all
	mkdir $(DEBIAN)/DEBIAN/
	cp $(DEBIAN)/c* $(DEBIAN)/DEBIAN/
	mkdir -p $(DEBIAN)/etc/init.d/
	mkdir -p $(DEBIAN)$(INSTALL_PREFIX)/bin/
	mkdir -p $(DEBIAN)$(MAN_PREFIX)/man5/
	mkdir -p $(DEBIAN)$(MAN_PREFIX)/man8/
	cp etc/npd6 $(DEBIAN)/etc/init.d/npd6
	cp etc/npd6.conf.sample $(DEBIAN)/etc/npd6.conf.sample
	cp npd6 $(DEBIAN)$(INSTALL_PREFIX)/bin/
	cp man/npd6.conf.5.gz $(DEBIAN)$(MAN_PREFIX)/man5/
	cp man/npd6.8.gz $(DEBIAN)$(MAN_PREFIX)/man8/
	debuild -S -k93C35BB8


debian: all
	mkdir $(DEBIAN)/DEBIAN/
	cp $(DEBIAN)/c* $(DEBIAN)/DEBIAN/
	mkdir -p $(DEBIAN)/etc/init.d/
	mkdir -p $(DEBIAN)$(INSTALL_PREFIX)/bin/
	mkdir -p $(DEBIAN)$(MAN_PREFIX)/man5/
	mkdir -p $(DEBIAN)$(MAN_PREFIX)/man8/
	cp etc/npd6 $(DEBIAN)/etc/init.d/npd6
	cp etc/npd6.conf.sample $(DEBIAN)/etc/npd6.conf.sample
	cp npd6 $(DEBIAN)$(INSTALL_PREFIX)/bin/
	cp man/npd6.conf.5.gz $(DEBIAN)$(MAN_PREFIX)/man5/
	cp man/npd6.8.gz $(DEBIAN)$(MAN_PREFIX)/man8/
	debuild -I -us -uc 

debchange:
	dch -v $(VERSION) $(change)

debrelease:
	dch --release -M

targz:
	mkdir ../$(TARGZ)
	mkdir ../$(TARGZ)/man
	mkdir ../$(TARGZ)/etc
	mkdir ../$(TARGZ)/debian
	cp man/* ../$(TARGZ)/man
	cp etc/* ../$(TARGZ)/etc
	cp *.c ../$(TARGZ)/
	cp *.h ../$(TARGZ)/
	cp INSTALL ../$(TARGZ)
	cp debian/c* ../$(TARGZ)/debian
	cp debian/rules ../$(TARGZ)/debian
	cp Makefile ../$(TARGZ)/
	tar -cvf ../$(TARGZ).tar ../$(TARGZ)/*
	gzip ../$(TARGZ).tar
	rm -r ../$(TARGZ)/

=== debian/changelog ===
npd6 (1.1.0-6) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * add service file (Closes: #1039288)
  * take care of external CFLAGS (Closes: #1119505)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Nov 2025 18:13:30 +0100

npd6 (1.1.0-5) unstable; urgency=medium

  * debian/watch: update
  * debian/control: bump standard to 4.6.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Dec 2022 23:13:30 +0100

npd6 (1.1.0-4) unstable; urgency=medium

  * debian/watch: update
  * debian/control: use dh13
  * debian/control: bump standard to 4.6.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Oct 2021 18:13:30 +0200

npd6 (1.1.0-3) unstable; urgency=medium

  * fix FTBFS with gcc10 (Closes: #957613)
  * remove <sys/sysctl.h> (Closes: #967980)
  * debian/control: use dh12
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: add "Pre-Depends: ${misc:Pre-Depends}"

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 06 Aug 2020 18:13:30 +0200

npd6 (1.1.0-2) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.2.1 (no changes)
  * debian/control: add salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Dec 2018 18:13:30 +0100

npd6 (1.1.0-1) unstable; urgency=medium

  * first upload to Debian (Closes: #855152)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Feb 2017 18:13:30 +0100

npd6 (1.1.0) trusty; urgency=medium

  * Consolidation into 1.1.0

 -- Sean Groarke <sgroarke@gmail.com>  Wed, 16 Jul 2014 16:13:30 +0200

npd6 (1.0.1) trusty; urgency=medium

  * Fix for bug 60

 -- Sean Groarke <sgroarke@gmail.com>  Wed, 16 Jul 2014 16:12:30 +0200

npd6 (1.0.1) quantal; urgency=low

  * Massage into Launchpad-suitable form

 -- Sean Groarke <sgroarke@gmail.com>  Fri, 04 Jan 2013 15:47:20 +0100

npd6 (1.0.0) quantal; urgency=low

  * Merge DEV to TRUNK - Lots of changes and fixes.
  * Version bump to 1.0.0

 -- Sean Groarke <sgroarke@gmail.com>  Thu, 03 Jan 2013 10:03:18 +0100

npd6 (0.9.99) quantal; urgency=low

  * BETA release! Use with caution!
  * Bug 48. Allow use of ANY prefix.
  * Bug 49. No limits interface numbers.
  * Bug 50. Masks on the prefixes.
  * Bug 51
  * Bug 51 and 53. Substantial changes to building and packaging.
  * Many minor fixes and debug changes.
  * Sample config file updated.
  * MAN pages updated.

 -- Sean Groarke <sgroarke@gmail.com>  Wed, 02 Jan 2013 16:17:11 +0100

npd6 (0.7.0) precise; urgency=low

    * Multi-interface support.
    * Minor bug fixes and doc changes..

 -- Sean Groarke <npd6project@gmail.com>  Mon, 14 Nov 2012 07:00:00 +0200

npd6 (0.6.0) precise; urgency=low

    * Bug fix for issue 42.
    * Feature fix for issue 43.

 -- Sean Groarke <npd6project@gmail.com>  Mon, 15 Oct 2012 07:00:00 +0200

npd6 (0.5.2) precise; urgency=low

    * Bug fixes for issue 38 & 40.

 -- Sean Groarke <npd6project@gmail.com>  Fri, 12 Oct 2012 07:00:00 +0200

npd6 (0.5.1) unstable; urgency=low

  * Packaging tidy-up.

 -- Sean Groarke <sgroarke@gmail.com>  Wed, 03 Oct 2012 10:37:23 +0200

npd6 (0.5.0) precise; urgency=low

  * Bump version

 -- Craig Miskell <craig@catalyst.net.nz>  Mon, 27 Aug 2012 08:44:59 +1200

npd6 (0.4.6) precise; urgency=low

  * Initial package.

 -- Sean Groarke <npd6project@gmail.com>  Mon, 21 May 2012 14:30:48 +0200

=== debian/control ===
Source: npd6
Section: net
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://github.com/npd6/npd6
Vcs-Browser: https://salsa.debian.org/alteholz/npd6
Vcs-Git: https://salsa.debian.org/alteholz/npd6.git

Package: npd6
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>=3.0-6)
Description: IPv6 neighbor proxy daemon
 npd6 is a daemon which listens on nominated interfaces for IPv6 Neighbor
 Solicitations which match defined prefixes. It will answer them with an
 appropriate Neighbor Advertisement.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v


export DEB_BUILD_MAINT_OPTIONS = hardening=+all


override_dh_usrlocal:

%:
	dh $@
